function [C,U,V,W]=hosvd_Truncate_r_nonSym(T,nu_truncate)
% Compute the 'economi' version of the HOSVD of a tensor T.
% Call with [S,U,s] = hosvd(T)

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% Distributed under a 3-Clause BSD License 
%
% Copyright 2021 Lars Eldén, Linköping University, and Maryam Dehghan,
% Federal University of Ceará,
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

T = tensor(T);
[U, s1,v1]= svd(double(tenmat(T,1)),'econ');
[V,s2,v2]= svd(double(tenmat(T,2)),'econ');
[W,s3,v3]= svd(double(tenmat(T,3)),'econ');
U=U(:,1:nu_truncate);
V=V(:,1:nu_truncate(2));
W=W(:,1:nu_truncate(3));
C = ttm(T,{U,V,W},[1,2,3],'t');
